package com.persagy.apm.diagnose.feign;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName AlarmResult
 * @author leifeng
 * @version 1.0.0
 * @Description 报警服务返回类封装
 * @createTime 2021/9/23 12:02
 */
@Data
public class AlarmResult<T> implements Serializable {


    public final static String SUCCESS_CODE = "200";

    private String respCode;

    private T content;

    private String respMsg;

}
