package com.persagy.apm.diagnose.utils;

import com.persagy.apm.energyalarmstarter.alarmdata.feign.DmpResult;
import com.persagy.apm.energyalarmstarter.alarmdata.model.vo.AlarmConfigItem;
import com.persagy.common.utils.StringUtil;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName DmpResultUtil.java
 * @Description TODO
 * @createTime 2021年09月23日 10:38:00
 */
public class DmpResultUtil {

    public static <T>  T getData(DmpResult<T> configItem) {
        String result = configItem.getResult();
        if(StringUtil.isBlank(result)||!result.equals(DmpResult.SUCCESS)){
            return  null;
        }
        return configItem.getData();
    }
}
