package com.persagy.apm.diagnose.indicatorcompute.model;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * (ProjectIndicatorCompute)实体类
 * @author lixing
 * @version V1.0 2021-09-21 13:32:58
 */

@Data
@ApiModel(description = "")
public class ProjectIndicatorCompute  implements Serializable {
    private static final long serialVersionUID = 467957951700438996L;

    @TableId
    @ApiModelProperty("项目id")
    private String projectId;
    
    @ApiModelProperty("计算轮次")
    private Integer computeRound;
    
    @ApiModelProperty("计算时间")
    private Date computeTime;
    

    public static String PROP_PROJECT_ID = "project_id";
    public static String PROP_COMPUTE_ROUND = "compute_round";
    public static String PROP_COMPUTE_TIME = "compute_time";

}
