package com.persagy.apm.diagnose.indicatorrecord.model.dto;

import java.util.Date;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author leifeng
 * @version 1.0.0
 * @ClassName ComputeCalculateDTO
 * @Description 计算公式实体
 * @createTime 2021/9/23 20:53
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ComputeCalculateDTO {

    private String projectId;

    private String objId;

    private String targetId;

    private CalculateVariableDTO calculateVariableDTO;

    private Date dataTime;


}
